=== modified file 'revisionview.py'
--- revisionview.py	2008-06-04 15:17:57 +0000
+++ revisionview.py	2008-06-04 20:36:54 +0000
@@ -28,7 +28,7 @@
 
 try:
     from bzrlib.plugins.gtk import seahorse
-except:
+except ImportError:
     has_seahorse = False
 else:
     has_seahorse = True

=== modified file 'seahorse.py'
--- seahorse.py	2008-05-23 08:23:59 +0000
+++ seahorse.py	2008-06-04 20:36:54 +0000
@@ -28,7 +28,10 @@
 KEY_TYPE_OPENPGP = 'openpgp'
 KEY_TYPE_SSH = 'ssh'
 
-bus = dbus.SessionBus()
+try:
+    bus = dbus.SessionBus()
+except dbus.exceptions.DBusException, e:
+    raise ImportError
 
 try: 
     crypto = dbus.Interface(bus.get_object(BUS_NAME, CRYPTO_PATH), 

